<?php 

	function replace_params( $postback_url = '', $postback_params = array() ){

		// replace with values
		if( isset($postback_params['cid']) && !empty($postback_params['cid']) ){
			$postback_url = str_replace('[[REPLACE_CID]]', $postback_params['cid'], $postback_url);
		}

		if( isset($postback_params['payout']) && !empty($postback_params['payout']) ){
			$postback_url = str_replace('[[REPLACE_PAYOUT]]', $postback_params['payout'], $postback_url);
		}
		if( isset($postback_params['txid']) && !empty($postback_params['txid']) ){
			$postback_url = str_replace('[[REPLACE_TXID]]', $postback_params['txid'], $postback_url);
		}
		if( isset($postback_params['status']) && !empty($postback_params['status']) ){
			$postback_url = str_replace('[[REPLACE_STATUS]]', $postback_params['status'], $postback_url);
		}

		// remove empty placeholders
		$postback_url = str_replace('[[REPLACE_CID]]', '', $postback_url);
		$postback_url = str_replace('[[REPLACE_PAYOUT]]', '', $postback_url);
		$postback_url = str_replace('[[REPLACE_TXID]]', '', $postback_url);
		$postback_url = str_replace('[[REPLACE_STATUS]]', '', $postback_url);

		return $postback_url;

	}



	// 0) extract values from GET
	$cid 				= '';
	$payout 			= '';
	$txid 				= '';
	$status 			= '';
	$postback_params	= array( 'cid' => '', 'payout' => '', 'txid' => '', 'status' => '' );
	if( isset($_GET['cid']) && !empty($_GET['cid']) ){ $postback_params['cid'] = $_GET['cid']; }
	if( isset($_GET['payout']) && !empty($_GET['payout']) ){ $postback_params['payout']  = $_GET['payout']; }
	if( isset($_GET['txid']) && !empty($_GET['txid']) ){ $postback_params['txid']  = $_GET['txid']; }
	if( isset($_GET['status']) && !empty($_GET['status']) ){ $postback_params['status']  = $_GET['status']; }


	// only proceed if CID is set
	if( empty($postback_params['cid']) ){ echo "CID empty."; return; }

	// ------------- 1) bemob ----------------
	/* remember to update your BeMob domain here! */
	$bemob_postback_url = 'https://6oewr.bemobtracks.com/postback?cid=[[REPLACE_CID]]&payout=[[REPLACE_PAYOUT]]&txid=[[REPLACE_TXID]]&status=[[REPLACE_STATUS]]';
	$bemob_postback_url = replace_params($bemob_postback_url, $postback_params);

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $bemob_postback_url );
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
	$result_bemob = curl_exec($ch);
	if (curl_errno($ch)) { echo 'Error:' . curl_error($ch); }
	curl_close($ch);
	// ------------- /1) bemob ----------------


	// ------------- 2) skro ----------------
	/* remember to update your Skro domain here! - or just use skrotrack.com */
	$skro_postback_url = 'https://skrotrack.com/postback?clickId=[[REPLACE_CID]]&payout=[[REPLACE_PAYOUT]]&status=[[REPLACE_STATUS]]&transactionId=[[REPLACE_TXID]]';
	$skro_postback_url = replace_params($skro_postback_url, $postback_params);

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $skro_postback_url );
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
	$result_skro = curl_exec($ch);
	if (curl_errno($ch)) { echo 'Error:' . curl_error($ch); }
	curl_close($ch);
	// ------------- /2) skro ----------------



	// ------------- 3) maxconv ----------------
	/* remember to update your MaxConv domain here! */
	$maxconv_postback_url = 'https://yourusername.maxconvtrk.com/conv?clid=[[REPLACE_CID]]&payout=[[REPLACE_PAYOUT]]&status=[[REPLACE_STATUS]]&txid=[[REPLACE_TXID]]';
	$maxconv_postback_url = replace_params($maxconv_postback_url, $postback_params);

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $maxconv_postback_url );
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
	$result_maxconv = curl_exec($ch);
	if (curl_errno($ch)) { echo 'Error:' . curl_error($ch); }
	curl_close($ch);
	// ------------- /3) maxconv ----------------




?>